<?
	$menu_code = '132';
	require_once (APPPATH.'views/skin/admin/_content_comm.php');
?>


<form name="input_form" id="input_form" method="post">

		- 메인화면에 출력되고 있는 실시간인기검색어의 검색어를 등록합니다. </br>
		- 통합검색창에서 검색어를 입력할경우 자동으로 횟수가 합산되어 인기검색어에 등록 되지만 관리자가 임의로 지정할 수 도 있습니다.</br>
		- 검색어 및 검색횟수를 관리자 임의대로 설정해줄수있습니다. 똑같은 검색어를 입력하는경우 상위에 있는검색어에 횟수가 + 포함되며 중복됐던 두번째 검색어는 자동 삭제됩니다. </br>
		- 개별 삭제 및 다중삭제가 가능하고, 순위변동을 임의대로 조절할 수도 있습니다.</br>

<!-- 테이블 시작-->
        <div class="common_table">
            <table>
                <thead>
                    <th>순위</th>
                    <th>순위변동</th>
                    <th>검색어</th>
                    <th>검색횟수</th>
                    <th><input type="checkbox" name="all_check" id="all_check">전체</th>
                </thead>
                <tbody>
			   	<?
					if(count($list)==0) {
				?>
						<tr>
							<td colspan="5">등록된 내용이 없습니다.</td>
						</tr>
				<?
					} else {
						foreach($list as $val) {
							$idx 			= $val['idx'];
							$rank 			= $val['rank'];
							$last_rank 		= $val['last_rank'];
							$keyword		= $val['keyword'];
							$search_count	= $val['search_count'];
							$rank_diff 		= $last_rank - $rank;

							$rank_diff_txt = '';
							if($last_rank == 0) {
								$rank_diff_txt = '<span class="txt_red">new</span>';
							} else {
								if($rank_diff == 0) {
									$rank_diff_txt = '-';
								} else if($rank_diff > 0) {
									$rank_diff_txt = "▲ ".$rank_diff;
								} else {
									$rank_diff_txt = "▼ ".abs($rank_diff);
								}
							}

					?>
						<!-- 리스트출력 -->
					<input type="hidden" name="idx[]" value="<?=$idx?>">
					<tr>
						<td><?=$rank?></td>
						<td><?=$rank_diff_txt?></td>
						<td><input type="text" name="edit_keyword[]" id="keyword_<?=$idx?>" class="input00" size="30" value="<?=$keyword?>"></td>
						<td><input type="text" name="edit_search_count[]" id="search_count_<?=$idx?>" class="input00" size="10" value="<?=$search_count?>"></td>
						<td><input type="checkbox" name="is_del[]" value="<?=$idx?>"> 삭제</td>
					</tr>


			<? 		}
				}
?>

                </tbody>
            </table>
            <div class="write_btn">
                <a href="javascript:realtime_keyword_edit_proc()">일괄수정</a>
                <a href="javascript:realtime_keyword_del_proc()">삭제</a>
            </div>

        </div>



		<div class="common_table">
		<h2 class="subtitle">실시간 인기검색어 랭킹정보 추가</h2>

		<table>
			<tr>
				<th>검색어</th>
				<td class="tl">
					<input type="text" name="keyword" id="keyword">
				</td>
			</tr>
			<tr>
				<th>검색횟수</th>
				<td class="tl">
					<input type="text" name="search_count" id="search_count" class="type02" onkeypress="if( event.keyCode==13 ){realtime_keyword_add_proc();}"> 회
					</br>- 검색횟수 조절시 정확한 숫자로 업데이트 되지 않을수 있습니다.
					</br>- 최대 2,147,483,647까지 입력 가능합니다.
				</td>
			</tr>
		</table>
		</div>
		<div class="write_btn tc">
			<a href="javascript:realtime_keyword_add_proc()">저장하기</a>
		</div>


</form>


<script type="text/javascript">
// 랭킹정보 추가
function realtime_keyword_add_proc(){
	if($("#keyword").val()==''){
		alert('검색어를 입력하세요.');
		return false;
	}
	if($("#search_count").val()==''){
		alert('검색횟수를 입력하세요.');
		return false;
	}

	if($("#search_count").val() > 2147483647) {
		alert("검색횟수가 너무 큽니다.");
		return false;
	}

	if(checkNumber($("#search_count").val())==false) {
		alert("검색횟수를 확인해주세요.");
		return false;
	}

	var input1 = $("input:text[name='edit_keyword[]']");
	var count1 = 0;
	for(var i = 0; i < input1.length; i ++){
		if($(input1[i]).val()==$("#keyword").val()) {
			count1++;
		}
	}
	if(count1 > 0)	{
		alert("이미 동일한 검색어가 있습니다.");
		return false;
	}

	$("#input_form").attr("action", "/admin/setting/realtime_keyword_add_proc");
	$("#input_form").submit();

}

// 삭제
function realtime_keyword_del_proc() {
	if($("input:checkbox[name='is_del[]']").is(":checked") == false) {
		alert("삭제할 내용이 없습니다.");
		return false;
	}
	if(confirm("실시간검색어가 삭제됩니다. 삭제하시겠습니까?") == true) {    //확인
		$("#input_form").attr("action", "/admin/setting/realtime_keyword_del_proc");
		$("#input_form").submit();
	} else {   //취소
		return;
	}
}

// 수정
function realtime_keyword_edit_proc() {
	var input1 = $("input:text[name='edit_keyword[]']");
	var count1 = 0;
	for(var i = 0; i < input1.length; i ++){
		if($(input1[i]).val()=='') {
			count1++;
		}
	}
	if(count1 > 0)	{
		alert("검색어를 입력해주세요.");
		return false;
	}

	var input2 = $("input:text[name='edit_search_count[]']");
	var count2 = 0;
	for(var i = 0; i < input2.length; i ++){
		if($(input2[i]).val()=='') {
			count2++;
		}
		if(checkNumber($(input2[i]).val())==false) {
			count2++;
		}
	}
	if(count2 > 0) {
		alert("검색횟수를 확인해주세요.");
		return false;
	}

	$("#input_form").attr("action", "/admin/setting/realtime_keyword_edit_proc");
	$("#input_form").submit();

}

// checkbox all checked/unchecked
$(function(){
	$("#all_check").click(function(){
    	if($("#all_check").prop("checked")) {
    		$("input:checkbox[name='is_del[]']").prop('checked', true); // 전체선택하기
		} else {
      		$("input:checkbox[name='is_del[]']").prop("checked", false);
    	}
  	})
});



</script>